<?php
/*
  $Id$

  Google Maps Delivery Link 2.1
  by @raiwa
  info@oscaddons.com
  www.oscaddons.com

  Copyright (c) 2022 Rainer Schmied

  CE Phoenix, E-Commerce made Easy
  https://phoenixcart.org

  Copyright (c) 2021 Phoenix Cart

  Released under the GNU General Public License
 */

class hook_admin_orders_deliveryLink {

  public $version = '2.1';

  function listen_injectSiteEnd() {
    global $order, $action;

    if ('edit' === $action && !empty($order->delivery)) {
      $current_version = Versions::get('Phoenix');

      $replace_array = [',', 'Nº','C/','c/', 'nº', 'planta', 'piso', 'dcha.', 'izqa', 'Dcha', 'Izda', 'Izq','izq', 'º', 'ª'];

      $google_address = str_replace($replace_array, ' ', $order->delivery['street_address']) . ', ' . $order->delivery['city'] . ', ' . $order->delivery['postcode'] . ', ' . $order->delivery['state'] . ', ' . $order->delivery['country']['title'];
      if ($current_version > '1.0.8.0') {
        $google_button = '<a target="_blank" href="https://www.google.es/maps/place/' . $google_address . '">' . new Button(HOOK_DELIVERY_LINK_BUTTON_GOOGLE_MAPS, 'fas fa-search', 'btn-light') . '</a>';
      } elseif ($current_version > '1.0.3.0') {
        $google_button = '<a target="_blank" href="https://www.google.es/maps/place/' . $google_address . '">' . tep_draw_bootstrap_button(HOOK_DELIVERY_LINK_BUTTON_GOOGLE_MAPS, 'fas fa-search', '', '', [], 'btn-light') . '</a>';
      }

      $output = <<<EOD
  <script>
  $(function() {
  $('#orderTabs #section_summary_content table tbody:eq(0) tr td:nth-child(2)').append('{$google_button}');
  });
  </script>
  EOD;

      return $output;
    }
  }

}
